NAME
	getrgn - select lines in a region of interest.

SYNOPSIS
	getrgn [-n north] [-e east] [-s south] [-w west]

DESCRIPTION
	Getrgn reads geographic lines (arrays of latitude-longitude pairs) from
	standard input and sends lines with points in the indicated bounds to
	standard output.  Standard input must be an xdr (external data
	representation) stream with the following format:

       	An xdr string record describing the stream (could be empty).
		Then for each line:
           	An xdr integer record giving the number of points in the line.
			For each point in the line:
				An xdr float record giving the latitude of the point
				An xdr float record giving the longitude of the point.

		All numbers in the xdr stream are separate records.  There are no xdr
		arrays.

	Standard output is an xdr stream with the same format, but excludes
	lines that lie entirely outside the region.  If a line crosses a boundary,
	the crossing point is computed and becomes the start or endpoint of the
	line in the output stream.
