/*
 * tclGeoFile.h - use files with geographic information
 *
 * Copyright (C) 1999 Gordon D. Carrie
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * 
 * Please address questions and bug reports to gcarri@mail.txcyber.com
 *
 ********************************************
 *
 */

#ifndef _GEOFILE_H_
#define _GEOFILE_H_

#include <rpc/rpc.h>
#include <tcl.h>
#include "geography.h"

/* Opaque pointer to struct needed by the routines */
typedef struct GeoRdFile *GeoRdFile;

/* Memory management */
GeoRdFile GeoRdFileAlloc();
void GeoRdFileFree();

/* Parameter setting routines */
int GeoRdFileASCII(Tcl_Interp *interp, GeoRdFile geoRdFile, char *name);
int GeoRdFileXDR(Tcl_Interp *interp, GeoRdFile geoRdFile, char *name);

/* Reading routines */
int GeoRdFileString(GeoRdFile geoRdFile, char *string);
int GeoRdFileInt(GeoRdFile geoRdFile, int *i);
int GeoRdFileGeoPoint(GeoRdFile geoRdFile, GeoPoint *geoPoint);

#endif
