/*
 * tclGeoPlace - maintain a database of named places 
 *
 * Copyright (C) 1999 Gordon D. Carrie
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * 
 * Please address questions and bug reports to gcarri@mail.txcyber.com
 *
 ********************************************
 *
 */

#ifndef _GEOPLACE_H_
#define _GEOPLACE_H_

#include <tcl.h>
#include "geography.h"

/* Flags to use in GeoPlaceGet */
#define KEEP_PLACE 1
#define USE_PLACE_ONCE 0

int Tclgeoplace_Init(Tcl_Interp *interp);

int
GeoPlaceGet(Tcl_Interp *interp, char *placeName, GeoPoint *loc,	int useFlag);

void
GeoPlaceFree(char *placeName);

#endif
